package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 购买须知对象 mall_purchase_notes
 * 
 * @author ruoyi
 * @date 2022-07-06
 */
public class MallPurchaseNotes extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 须知id */
    @Excel(name = "须知id")
    private Integer id;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("content", getContent())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .toString();
    }
}
